Get all release pipelines
For the complete documentation index, see llms.txt. For the full documentation snapshot, see llms-full.txt.
Get all release pipelines for a project.
Filtering release pipelines
LaunchDarkly supports the following fields for filters:
-
queryis a string that matches against the release pipelinekey,name, anddescription. It is not case sensitive. For example:?filter=query:examplePipeline. -
envis a string that matches an environment key. For example:?filter=env:production.
curl --request GET \
--url https://app.launchdarkly.com/api/v2/projects/{projectKey}/release-pipelines \
--header 'Authorization: <api-key>'import requests
url = "https://app.launchdarkly.com/api/v2/projects/{projectKey}/release-pipelines"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.launchdarkly.com/api/v2/projects/{projectKey}/release-pipelines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.launchdarkly.com/api/v2/projects/{projectKey}/release-pipelines",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.launchdarkly.com/api/v2/projects/{projectKey}/release-pipelines"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.launchdarkly.com/api/v2/projects/{projectKey}/release-pipelines")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.launchdarkly.com/api/v2/projects/{projectKey}/release-pipelines")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"createdAt": "1684262711507",
"key": "standard-pipeline",
"name": "Standard Pipeline",
"phases": [
{
"id": "1234a56b7c89d012345e678f",
"audiences": [
{
"name": "Phase 1 - Testing",
"environment": {
"_links": {
"self": {
"href": "/api/v2/projects/my-project/environments/my-environment",
"type": "application/json"
}
},
"key": "environment-key-123abc",
"name": "My Environment",
"color": "F5A623"
},
"configuration": {
"releaseStrategy": "monitoredRelease",
"requireApproval": true,
"notifyMemberIds": [
"1234a56b7c89d012345e678f"
],
"notifyTeamKeys": [
"example-reviewer-team"
],
"releaseGuardianConfiguration": {
"monitoringWindowMilliseconds": 60000,
"rolloutWeight": 50,
"rollbackOnRegression": true,
"randomizationUnit": "user"
}
},
"segmentKeys": [
"segment-key-123abc"
]
}
],
"name": "Phase 1 - Testing",
"configuration": {}
}
],
"description": "Standard pipeline to roll out to production",
"tags": [
"example-tag"
],
"_version": 1,
"_access": {
"denied": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
],
"allowed": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
]
},
"isProjectDefault": true,
"_isLegacy": true
}
],
"totalCount": 1
}{
"code": "not_found",
"message": "Invalid resource identifier"
}Authorizations
Path Parameters
The project key
Query Parameters
A comma-separated list of filters. Each filter is of the form field:value. Read the endpoint description for a full list of available filter fields.
The maximum number of items to return. Defaults to 20.
Where to start in the list. Defaults to 0. Use this with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.
curl --request GET \
--url https://app.launchdarkly.com/api/v2/projects/{projectKey}/release-pipelines \
--header 'Authorization: <api-key>'import requests
url = "https://app.launchdarkly.com/api/v2/projects/{projectKey}/release-pipelines"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.launchdarkly.com/api/v2/projects/{projectKey}/release-pipelines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.launchdarkly.com/api/v2/projects/{projectKey}/release-pipelines",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.launchdarkly.com/api/v2/projects/{projectKey}/release-pipelines"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.launchdarkly.com/api/v2/projects/{projectKey}/release-pipelines")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.launchdarkly.com/api/v2/projects/{projectKey}/release-pipelines")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"createdAt": "1684262711507",
"key": "standard-pipeline",
"name": "Standard Pipeline",
"phases": [
{
"id": "1234a56b7c89d012345e678f",
"audiences": [
{
"name": "Phase 1 - Testing",
"environment": {
"_links": {
"self": {
"href": "/api/v2/projects/my-project/environments/my-environment",
"type": "application/json"
}
},
"key": "environment-key-123abc",
"name": "My Environment",
"color": "F5A623"
},
"configuration": {
"releaseStrategy": "monitoredRelease",
"requireApproval": true,
"notifyMemberIds": [
"1234a56b7c89d012345e678f"
],
"notifyTeamKeys": [
"example-reviewer-team"
],
"releaseGuardianConfiguration": {
"monitoringWindowMilliseconds": 60000,
"rolloutWeight": 50,
"rollbackOnRegression": true,
"randomizationUnit": "user"
}
},
"segmentKeys": [
"segment-key-123abc"
]
}
],
"name": "Phase 1 - Testing",
"configuration": {}
}
],
"description": "Standard pipeline to roll out to production",
"tags": [
"example-tag"
],
"_version": 1,
"_access": {
"denied": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
],
"allowed": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
]
},
"isProjectDefault": true,
"_isLegacy": true
}
],
"totalCount": 1
}{
"code": "not_found",
"message": "Invalid resource identifier"
}